Name:		libgalago
Version:	0.5.2
Release:	3%{?dist}
Summary:	Galago presence library

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.galago-project.org/
Source0:	http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	dbus-devel
BuildRequires:	dbus-glib
BuildRequires:	check-devel
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel


%description
Galago is a D-BUS-based desktop presence framework used to provide account,
person, and presence information for users on IM services and other
communication networks for use in other desktop applications, such as e-mail
clients or address books.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	dbus-devel
Requires:	dbus-glib
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --enable-static=no --enable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/galago
rm -f $RPM_BUILD_ROOT%{_datadir}/autopackage/skeletons/@galago.info/%{name}/skeleton.1


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/%{name}.so.*
%dir %{_libdir}/galago


%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-3
- Actually put the libdir in the correct package.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-2
- Have package own %%libdir/galago.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2.
- Drop gettext patch.

* Fri Jun 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-3
- Add BR for autoconf, libtool, & automake.
- Add devel requires on pkgconfig.

* Thu May 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-2
- Add BR on gettext-devel, since autogen.sh is being reran.
- Add back BR on check-devel.

* Thu May 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-1
- Update to 0.5.1.
- Change BR from check-devel to check.
- Add BR for gtk-doc, and build documentation.
- Add patch to fix setup-gettext script.

* Fri Apr 21 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec.

